/*
 * @Author: Kane
 * @Date: 2023-04-30 11:11:34
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/archievement/DepartmentArchievementQueryRequest.java
 * @Description: 部门业绩请求参数类
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

package com.cpic.xim.web.controllers.archievement.department;

import com.fasterxml.jackson.annotation.JsonProperty;

public class DepartmentArchievementQueryRequest
{
    public DepartmentArchievementQueryRequest()
    {}

    /**
     * 构造函数
     * @param departmentCode 部门代码
     * @param departmentName 部门名称
     */
    public DepartmentArchievementQueryRequest( String departmentCode, String departmentName)
    {
        this.departmentCode = departmentCode;
        this.departmentName = departmentName;
    }

    public String getDepartmentCode()
    {
        return departmentCode;
    }

    public void setDepartmentCode( String departmentCode )
    {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentName()
    {
        return departmentName;
    }

    public void setDepartmentName( String departmentName )
    {
        this.departmentName = departmentName;
    }

    @JsonProperty( "departmentCode" )
    private String departmentCode;

    @JsonProperty( "departmentName" )
    private String departmentName;
}
